Subject: (unknown)

From: [email-masked]
Date: Fri, 20 Oct 2006 15:21:04 +0100

>>From 0e3c0aefc3276bd271553d171ed9bcc52d85230e Mon Sep 17 00:00:00 2001
From: Andy Parkins <[email-masked]>
Date: Fri, 20 Oct 2006 15:21:02 +0100
Subject: [PATCH] Use email address only for looking up signing key in git-tag
To: [email-masked]
MIME-Version: 1.0
X-TUID: 312298ab1a3cb74a
X-UID: 98
X-Length: 2046
Content-Type: Multipart/Mixed;
  boundary="Boundary-00=_PtNOFMGj306NIAG"
Message-Id: <[email-masked]>

This is a multi-part message in MIME format.
--Boundary-00=_PtNOFMGj306NIAG
Content-Type: text/plain;
  charset="utf-8"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

I did this:

  $ git tag -s adp-sign-tag
  gpg: skipped "Andy Parkins <[email-masked]>": secret key not 
available
  gpg: signing failed: secret key not available
  failed to sign the tag with GPG.

I believe the problem is that I have used the comment field in my key's UID
definition.

  $ gpg --list-keys andy
  pub   1024D/4F712F6D 2003-08-14
  uid                  Andy Parkins (Google) <[email-masked]>

So when git-tag looks for "Andy Parkins <[email-masked]>"; it's not
found.  The answer is (I think) to search only on the email address when
looking for a key.
Signed-off-by: Andy Parkins <[email-masked]>
---
 git-tag.sh |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

--Boundary-00=_PtNOFMGj306NIAG
Content-Type: text/x-patch;
  name="0e3c0aefc3276bd271553d171ed9bcc52d85230e.diff"
Content-Transfer-Encoding: 8bit
Content-Disposition: inline;
 filename="0e3c0aefc3276bd271553d171ed9bcc52d85230e.diff"

diff --git a/git-tag.sh b/git-tag.sh
index a0afa25..6fd98e2 100755
--- a/git-tag.sh
+++ b/git-tag.sh
@@ -73,7 +73,7 @@ git-check-ref-format "tags/$name" ||
 object=$(git-rev-parse --verify --default HEAD "$@") || exit 1
 type=$(git-cat-file -t $object) || exit 1
 tagger=$(git-var GIT_COMMITTER_IDENT) || exit 1
-: ${username:=$(expr "z$tagger" : 'z\(.*>\)')}
+: ${username:=$(expr "z$tagger" : 'z.*<\(.*\)>')}
 
 trap 'rm -f "$GIT_DIR"/TAG_TMP* "$GIT_DIR"/TAG_FINALMSG "$GIT_DIR"/TAG_EDITMSG' 0

--Boundary-00=_PtNOFMGj306NIAG--